<?php

/* /
  Plugin Name: WP Advert
  Plugin URI: http://wpadvert.com
  Description: WP Advert contains 30 promotional toolbars packed into 1 simple user interface.
  Version: 1.0
  Author: MasterGigs.com
  Author URI: http://MasterGigs.com
  / */
/* /
  Copyright 2014 MasterGigs.com
  / */

if (!class_exists('WP_List_Table')) {
    require_once(ABSPATH . 'wp-admin/includes/class-wp-list-table.php');
}
include('inc/wpadvert-list-table.php');
include('inc/wpadvert-popup-data.php');
include('inc/wpadvert-process-meta-data.php');
include('inc/wpadvert-enqueue-scripts.php');
include('inc/wpadvert-validation.php');
include('inc/wpadvert-bar-builder.php');
include('inc/wpadvert-collapse-expand-style.php');
include('inc/wpadvert-themes-init.php');
add_action('admin_enqueue_scripts', 'wpadvert_admin_scripts');

function wpadvert_admin_scripts() {
    wp_enqueue_media();
}

register_activation_hook(__FILE__, array('WPAdvert', 'wpadvert_db_install'));
add_action('admin_menu', array('WPAdvert', 'wpadvert_admin_menu'));
register_activation_hook(__FILE__, array('WPAdvert', 'wpadvert_install_data'));
add_action('plugins_loaded', array('WPAdvert', 'wpadvert_update_db_data'));
?>