<?php

function wpadvert_my_scripting_method_jquery() {
    wp_enqueue_script('jquery');
}

add_action('wp_enqueue_scripts', 'wpadvert_my_scripting_method_jquery');

function wpadvert_my_ui_script() {
    wp_register_script('jquery_user_interface', WP_PLUGIN_URL . '/wpadvert/js/jquery_ui.js');
    wp_enqueue_script('jquery_user_interface');
}

function wpadvert_color_picker($hook_suffix) {
    // first check that $hook_suffix is appropriate for your admin page
    $p_url = plugins_url();
    $file_url = $p_url . '/nbar/js/fpbb-color-picker.js';
    wp_enqueue_style('wp-color-picker');
    wp_enqueue_script('fpbb-script-handle', $file_url, array('wp-color-picker'), false, true);
}

function wpadvert_admin_ui_css() {
    $p_url = plugins_url();
    $file_url_css = $p_url . '/wpadvert/css/fpbb-ui-css.css';
    wp_register_style('fpbb_ui_css', $file_url_css);
    wp_enqueue_style('fpbb_ui_css');
}

add_action('wp_enqueue_scripts', 'wpadvert_my_ui_script');
add_action('admin_enqueue_scripts', 'wpadvert_my_ui_script');
add_action('admin_enqueue_scripts', 'wpadvert_admin_ui_css');
add_action('admin_head', 'wpadvert_my_scripting_method_jquery');
?>
